LinkedList.h File Reference
`#include "FreeList.h"`
Include dependency graph for LinkedList.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | LISTNODE
struct | LINKEDLIST

## Macros

#define | EOUTOFMEM (-7 & 1<<29)
#define | FREELISTSIZE 100
#define | LIST_SUCCESS 1
#define | LIST_FAIL 0

## Typedefs

typedef void(* | free_function )(void *arg)
typedef int(* | cmp_routine )(void *itemA, void *itemB)
typedef struct LISTNODE | ListNode
typedef struct LINKEDLIST | LinkedList

## Functions

int | ListInit (LinkedList *list, cmp_routine cmp_func, free_function free_func)
ListNode * | ListAddHead (LinkedList *list, void *item)
ListNode * | ListAddTail (LinkedList *list, void *item)
ListNode * | ListAddAfter (LinkedList *list, void *item, ListNode *bnode)
ListNode * | ListAddBefore (LinkedList *list, void *item, ListNode *anode)
void * | ListDelNode (LinkedList *list, ListNode *dnode, int freeItem)
int | ListDestroy (LinkedList *list, int freeItem)
ListNode * | ListHead (LinkedList *list)
ListNode * | ListTail (LinkedList *list)
ListNode * | ListNext (LinkedList *list, ListNode *node)
ListNode * | ListPrev (LinkedList *list, ListNode *node)
ListNode * | ListFind (LinkedList *list, ListNode *start, void *item)
int | ListSize (LinkedList *list)